Package net.shibboleth.idp.profile.spring.factory

# Class BasicX509CredentialFactoryBean

java.lang.Object
net.shibboleth.shared.spring.factory.AbstractFactoryBean<T>
net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean<T>
org.opensaml.spring.credential.AbstractCredentialFactoryBean<BasicX509Credential>
org.opensaml.spring.credential.AbstractX509CredentialFactoryBean
org.opensaml.spring.credential.BasicX509CredentialFactoryBean
net.shibboleth.idp.profile.spring.factory.BasicX509CredentialFactoryBean

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<BasicX509Credential>`, `InitializingBean`

@Deprecated(since="5.0.0", forRemoval=true) public class BasicX509CredentialFactoryBean extends BasicX509CredentialFactoryBean
Deprecated, for removal: This API element is subject to removal in a future version.
Original factory bean moved to opensaml-spring module.

## Field Summary

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`BasicX509CredentialFactoryBean()`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

## Method Summary

### Methods inherited from class org.opensaml.spring.credential.BasicX509CredentialFactoryBean

`getCertificates, getCRLs, getEntityCertificate, getPrivateKey, isSingleton, setCertificateResource, setCertificates, setCRLs, setEntity, setEntityId, setPrivateKey, setPrivateKeyPassword, setPrivateKeyResource`

### Methods inherited from class org.opensaml.spring.credential.AbstractX509CredentialFactoryBean

`doCreateInstance, getObjectType`

### Methods inherited from class org.opensaml.spring.credential.AbstractCredentialFactoryBean

`getConfigDescription, getEntityID, getKeyNames, getPrivateKeyPassword, getUsageType, setConfigDescription, setEntityID, setKeyNames, setPrivateKeyPassword, setUsageType`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean

`createInstance, destroyInstance, setThrowIfNull`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractFactoryBean

`afterPropertiesSet, destroy, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicX509CredentialFactoryBean

public BasicX509CredentialFactoryBean()
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.